# WOK
TKWOK
EDL

# EDL_Template Class Reference

`#include <EDL_Template.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | EDL_Template ()
Standard_EXPORT | EDL_Template (const Standard_CString aName)
Standard_EXPORT | EDL_Template (const EDL_Template &aTmp)
Standard_EXPORT void | Assign (const EDL_Template &aTemplate)
void | operator= (const EDL_Template &aTemplate)
Standard_EXPORT void | Destroy () const
| ~EDL_Template ()
Standard_EXPORT Standard_CString | GetName () const
Standard_EXPORT Standard_CString | GetLine (const Standard_Integer index) const
Standard_EXPORT void | SetLine (const Standard_Integer index, const Standard_CString aValue)
Standard_EXPORT void | AddLine (const Standard_CString aValue)
Standard_EXPORT void | ClearLines ()
Standard_EXPORT void | Eval (const Handle(EDL_HSequenceOfVariable)&aVar)
Standard_EXPORT Handle_TColStd_HSequenceOfAsciiString | GetEval () const
Standard_EXPORT void | VariableList (const Handle(TColStd_HSequenceOfHAsciiString)&aVarList)
Standard_EXPORT void | AddToVariableList (const Handle(TCollection_HAsciiString)&aVarName)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | GetVariableList () const

## Static Public Member Functions

static Standard_EXPORT Standard_Integer | HashCode (const EDL_Template &aVar, const Standard_Integer Upper)
static Standard_EXPORT Standard_Boolean | IsEqual (const EDL_Template &aTemp1, const EDL_Template &aTemp2)

## Private Attributes

Handle_TCollection_HAsciiString | myName
Handle_TColStd_HSequenceOfHAsciiString | myVariable
Handle_TColStd_HSequenceOfAsciiString | myValue
Handle_TColStd_HSequenceOfAsciiString | myEval

## Constructor & Destructor Documentation

Standard_EXPORT EDL_Template::EDL_Template | ( |  | ) |

Standard_EXPORT EDL_Template::EDL_Template | ( | const Standard_CString | aName | ) |

Standard_EXPORT EDL_Template::EDL_Template | ( | const EDL_Template & | aTmp | ) |

EDL_Template::~EDL_Template | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void EDL_Template::AddLine | ( | const Standard_CString | aValue | ) |

Standard_EXPORT void EDL_Template::AddToVariableList | ( | const Handle(TCollection_HAsciiString)& | aVarName | ) |

Standard_EXPORT void EDL_Template::Assign | ( | const EDL_Template & | aTemplate | ) |

Standard_EXPORT void EDL_Template::ClearLines | ( |  | ) |

Standard_EXPORT void EDL_Template::Destroy | ( |  | ) | const

Standard_EXPORT void EDL_Template::Eval | ( | const Handle(EDL_HSequenceOfVariable)& | aVar | ) |

Standard_EXPORT Handle_TColStd_HSequenceOfAsciiString EDL_Template::GetEval | ( |  | ) | const

Standard_EXPORT Standard_CString EDL_Template::GetLine | ( | const Standard_Integer | index | ) | const

Standard_EXPORT Standard_CString EDL_Template::GetName | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString EDL_Template::GetVariableList | ( |  | ) | const

static Standard_EXPORT Standard_Integer EDL_Template::HashCode | ( | const EDL_Template & | aVar,
|  | const Standard_Integer | Upper
| ) | `[static]`

static Standard_EXPORT Standard_Boolean EDL_Template::IsEqual | ( | const EDL_Template & | aTemp1,
|  | const EDL_Template & | aTemp2
| ) | `[static]`

void EDL_Template::operator delete | ( | void * | anAddress | ) | `[inline]`

void* EDL_Template::operator new | ( | size_t | size | ) | `[inline]`

void* EDL_Template::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void EDL_Template::operator= | ( | const EDL_Template & | aTemplate | ) | `[inline]`

Standard_EXPORT void EDL_Template::SetLine | ( | const Standard_Integer | index,
|  | const Standard_CString | aValue
| ) |

Standard_EXPORT void EDL_Template::VariableList | ( | const Handle(TColStd_HSequenceOfHAsciiString)& | aVarList | ) |

## Field Documentation

Handle_TColStd_HSequenceOfAsciiString EDL_Template::myEval `[private]`

Handle_TCollection_HAsciiString EDL_Template::myName `[private]`

Handle_TColStd_HSequenceOfAsciiString EDL_Template::myValue `[private]`

Handle_TColStd_HSequenceOfHAsciiString EDL_Template::myVariable `[private]`

The documentation for this class was generated from the following file:

- EDL_Template.hxx